import argparse
import logging


def add_verbosity_to_parser(parser: argparse.ArgumentParser):
    parser.add_argument(
        '-v', '--verbose', dest='verbose', action='count',
        help="set verbosity level [default: %(default)s]")


def logging_from_verbose(namespace: argparse.Namespace):
    verbose = namespace.verbose
    if not verbose:
        level = logging.WARN
    elif verbose == 1:
        level = logging.INFO
    else:
        level = logging.DEBUG
    logging.basicConfig(
        level=level,
        format='%(asctime)s %(levelname)8s [%(lineno)3d]: %(message)s',
    )
