from setuptools import find_packages, setup

with open("README.rst", "r") as fh:
    long_description = fh.read()

setup(
    name="odoo_scripts",
    version="3.0",
    long_description=long_description,
    long_description_content_type="text/x-rst",
    author="XCG Consulting",
    license="MIT",
    packages=find_packages(),
    install_requires=[
        "odoorpc==0.7.0",
        "requests_toolbelt==0.8.0",
        # How to indicate to install python3-docker?
    ],
    entry_points={
        "console_scripts": [
            "import_base_import=odoo_scripts.import_base_import:main",
            "import_jsonrpc=odoo_scripts.import_jsonrpc:main",
            "docker_dev_start=odoo_scripts.docker_dev_start:main",
            "do_tests=odoo_scripts.do_tests:main",
            "docker_build=odoo_scripts.docker_build:main",
            "conf2reST=odoo_scripts.conf2reST:main",
            "list_modules=odoo_scripts.list_modules:main",
            # TODO add all the other python scripts
        ]
    },
    scripts=[
        "docker_build_copy",
        "docker_build_clean",
        "update_duplicate_sources",
    ],
    python_requires=">=3.6",
)
